Skip to content
Start here

List virtual networks

zero_trust.networks.virtual_networks.list(VirtualNetworkListParams**kwargs) -> SyncSinglePage[VirtualNetwork]
GET/accounts/{account_id}/teamnet/virtual_networks

Lists and filters virtual networks in an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloudflare One Networks WriteCloudflare One Networks ReadCloudflare Tunnel WriteCloudflare Tunnel Read
ParametersExpand Collapse
account_id: str

Cloudflare account ID

maxLength32
id: Optional[str]

UUID of the virtual network.

formatuuid
is_default: Optional[bool]

If true, only include the default virtual network. If false, exclude the default virtual network. If empty, all virtual networks will be included.

is_default_network: Optional[bool]

If true, only include the default virtual network. If false, exclude the default virtual network. If empty, all virtual networks will be included.

is_deleted: Optional[bool]

If true, only include deleted virtual networks. If false, exclude deleted virtual networks. If empty, all virtual networks will be included.

name: Optional[str]

A user-friendly name for the virtual network.

maxLength256
ReturnsExpand Collapse
class VirtualNetwork:
id: str

UUID of the virtual network.

formatuuid
comment: str

Optional remark describing the virtual network.

maxLength256
created_at: datetime

Timestamp of when the resource was created.

formatdate-time
is_default_network: bool

If true, this virtual network is the default for the account.

name: str

A user-friendly name for the virtual network.

maxLength256
deleted_at: Optional[datetime]

Timestamp of when the resource was deleted. If null, the resource has not been deleted.

formatdate-time

List virtual networks

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.zero_trust.networks.virtual_networks.list(
    account_id="699d98642c564d2e855e9661899b7252",
)
page = page.result[0]
print(page.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "comment": "Staging VPC for data science",
      "created_at": "2021-01-25T18:22:34.317854Z",
      "is_default_network": true,
      "name": "us-east-1-vpc",
      "deleted_at": "2009-11-10T23:00:00.000000Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": [
    {
      "id": "f70ff985-a4ef-4643-bbbc-4a0ed4fc8415",
      "comment": "Staging VPC for data science",
      "created_at": "2021-01-25T18:22:34.317854Z",
      "is_default_network": true,
      "name": "us-east-1-vpc",
      "deleted_at": "2009-11-10T23:00:00.000000Z"
    }
  ],
  "success": true,
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000
  }
}